#ifndef __GOTOPROGRAMS__GOTOLEXER_H
    #define __GOTOPROGRAMS__GOTOLEXER_H

    #ifndef yyFlexLexerOnce
        #define yyFlexLexer GOTO_FlexLexer
        #include<FlexLexer.h>
    #endif

    #undef YY_DECL
    #define YY_DECL int GotoLexer::yylex()


    #include "parser.hpp"


    class GotoLexer : public GOTO_FlexLexer
    {
        private:
            yy::GotoParser::semantic_type* yylval;
            int yylex();
        public:
            int yylex(yy::GotoParser::semantic_type* lval);
            GotoLexer(std::istream& is);
            int GetCurrentLineNumber();
    };

#endif
